Description

(copy & paste from http://www.chamilo.org/es/node/1027)----------------------------------------------------------
Hi!
I've created a few courses with Captivate CS5 and succesfully uploaded and displayed them as a learning path + import SCORM on
the Chamilo LMS (release candidate 2.0).
But when I complete the courses Chamilo does not save the status.
I've made a little debug (with firebug) to analyze the communication process, and it seems that Chamilo is unable to assign a value to
the tracker_id data (the first error is generated on the run.php file, it does not assign value to the tracker_id javascript var), so the
comunication it's imposible.
-----------------------------------------------------------------------------------------------------------------
Some maybe useful info:

Captivate generates an htm file in order to load de flash object and configure it to communicate with LMS.
I've checked that htm file finds and creates the API object from
'application/weblcms/tool/learning_path/resources/javascript/scorm/chamilo_api.js' (both 1.2 and 2004 versions)

Then, debugging some example content from Adobe

http://download.macromedia.com/pub/developer/captivate_scorm_output.zip

found in

http://www.adobe.com/devnet-archive/captivate/articles/output_scorm.html

and you can see the result in 'Testing Captivate 01.png' and 'Testing Captivate 02.png'.

Following javascript var 'continue_url' I came to 'Testing Captivate 03.png'

Thank you and good luck!
Sergio

History
#1 - 02/02/2011 12:24 - Goulwen Reboux
- File scorm.patch added

This bug is not related to Captivate as our hand made SCOs suffers of the same problem. I've made of few debugging (which led to another problems)
that are solved in the attached  patch. It essentially correct some paths.

#2 - 03/02/2011 09:16 - Sven Vanpoucke
- Status changed from New to Needs testing

Approved your patch and added it in
http://code.google.com/p/chamilo/source/detail?r=d419b7b6da423daad23c1d332ec468b6e26ee181&#38;repo=chamilo

The execution of the patch did say that only 3 / 4 files were changed but after checking manually someone else fixed the complex display class
already. Could this be retested?

#3 - 03/02/2011 11:09 - Goulwen Reboux
- File scorm-sequencing.patch added

In my local branch, I've merged the change in /application/weblcms/tool/learning_path/php/component/complex_display.class.php that has been
committed while I was tracking the bug before creating the patch. As a result, the change has been incorporated in the patch (this was my first patch !)
Tests have been done with the change before building the patch.

In the meantime, I've fixed others bugs and add the support of adl.nav.request{target=.*}choice in addition to  adl.nav.request{target=.*}jump in the
patch attached to this comment.

#4 - 03/02/2011 15:55 - Sven Vanpoucke

We are currently migrating the source code to a new architecture for better release management. I will aplly your patch once this is finished.

#5 - 04/03/2011 09:34 - Stefaan Vanbillemont
- Status changed from Needs testing to Assigned
- Assignee set to Stefaan Vanbillemont

Sven,

Can you apply this patch on the bitbucket repository asap?

Stefaan

#6 - 01/04/2011 14:59 - Stefaan Vanbillemont
- Project changed from Chamilo LCMS Connect to Repository

#7 - 02/04/2011 11:51 - Goulwen Reboux

Patch committed and pushed

#8 - 04/04/2011 15:38 - Goulwen Reboux
- Status changed from Assigned to Needs testing

#9 - 05/04/2011 15:10 - Stefaan Vanbillemont

Goulwen,
I imported this SCORM package, run the assessment but afterwards I get no score. My progress is 100%, but no score. Don't know if this is the result
that should be expected?

Stefaan

#10 - 14/04/2011 15:33 - Stefaan Vanbillemont
- Target version set to 2.1.0

#11 - 14/06/2011 09:04 - Stefaan Vanbillemont
- Status changed from Needs testing to Bug resolved
